net.i2p.router.tasks

## Class UpdateRoutingKeyModifierJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.tasks.UpdateRoutingKeyModifierJob

- All Implemented Interfaces:
    Job

      public class UpdateRoutingKeyModifierJob
      extends JobImpl

  Update the routing Key modifier every day at midnight (plus on startup). This is done here because we want to make sure the key is updated before anyone uses it.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateRoutingKeyModifierJob(RouterContext ctx)` Create a new routing key modifier update job.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get the name of this job.
    `void` | `runJob()` Update the routing key modifier if needed.

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateRoutingKeyModifierJob

          public UpdateRoutingKeyModifierJob(RouterContext ctx)

      Create a new routing key modifier update job.
      Parameters:
        `ctx` - the router context for accessing router services

  - ### Method Detail

    - #### getName

          public String getName()

      Get the name of this job.
      Returns:
        job name for logging and identification

    - #### runJob

          public void runJob()

      Update the routing key modifier if needed. This job runs periodically (every 15 minutes maximum) to ensure the routing key modifier is updated daily at midnight. The routing key modifier is used in cryptographic operations and must be updated regularly for security. If the modifier data changes, notifies the network database that routing keys have changed.